BITCOIN-WALLET(1)

NAME
bitcoin-wallet - manual page for bitcoin-wallet v0.19.1.0

DESCRIPTION
Bitcoin Core bitcoin-wallet version v0.19.1.0

wallet-tool is an offline tool for creating and interacting with Bitcoin Core wallet files. By default wallet-tool will act on wallets in the default mainnet wallet directory in the datadir. To change the target wallet, use the -datadir, -wallet and -testnet/-regtest arguments.

  Usage:

    bitcoin-wallet [options] <command>

OPTIONS

-?

    Print this help message and exit

-datadir=<dir>

    Specify data directory

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, regtest

-testnet

    Use the test chain. Equivalent to -chain=test.

Commands:

    create

    Create new wallet file

    info

    Get wallet info

COPYRIGHT
Copyright (C) 2009-2019 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.